Skip to main content
POST
Create a new MCP server using XanoScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
integer<int64>
required

Query Parameters

branch
string
default:""
include_xanoscript
boolean
default:false

Body

text/x-xanoscript

The body is of type string.

Example:

"mcp_server foo {\n description = \"test\"\n canonical = \"custom\"\n tags = [\"test\"]\n}\n"

Response

Success!

id
integer<int64>
default:1
created_at
string<timestamptz>
default:2023-04-19 21:01:32+0000
updated_at
string<timestamptz>
default:2023-04-19 21:01:32+0000
name
string
default:MCP Server Test
description
string
default:My MCP Server description
branch
string
default:v1
tag
string[]
xanoscript
object